aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/pr66/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/pr66/testsuite.sh')
-rwxr-xr-xtestsuite/pr66/testsuite.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/testsuite/pr66/testsuite.sh b/testsuite/pr66/testsuite.sh
new file mode 100755
index 0000000..114c9d7
--- /dev/null
+++ b/testsuite/pr66/testsuite.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+. ../testenv.sh
+
+run_yosys -p "ghdl vector.vhdl -e vector; opt; dump -o vector.il"
+
+grep -q 'connect \\v 63' vector.il || exit 1
+
+clean